Discussions
List User Discussions
AuthorizationBearer <token>
In: header
Query Parameters
entity_type?string
Filter by entity type (values: course, quiz, event, learning_path, cohort)
Default
nullValue in
"course" | "quiz" | "event" | "learning_path" | "cohort"entity_id?string
Filter by specific program ID (UUID)
Default
nullprivacy?string
Filter by privacy (values: public, private)
Default
nullValue in
"public" | "private"search?string
Search in discussion title and content
Default
nulllimit?number
Number of discussions per page
Default
20Range
1 <= value <= 100cursor?string
Cursor for pagination
Default
nullResponse Body
curl -X GET "https://edushade.com/api/v1/user/discussions?entity_type=course&privacy=public&limit=20"{}Empty
Empty
Empty